Loading...
Searching...
No Matches
Opm::GridCommHandleMin< FieldType, Container, EntityMapper, commCodim > Class Template Reference

Provides data handle for parallel communication which takes the minimum of all values that are attached to DOFs. More...

`#include <gridcommhandles.hh>`

Inheritance diagram for Opm::GridCommHandleMin< FieldType, Container, EntityMapper, commCodim >:

## Public Member Functions

| GridCommHandleMin (Container &container, const EntityMapper &mapper)
bool | contains (int, int codim) const
bool | fixedSize (int, int) const
template<class EntityType>
std::size_t | size (const EntityType &) const
template<class MessageBufferImp, class EntityType>
void | gather (MessageBufferImp &buff, const EntityType &e) const
template<class MessageBufferImp, class EntityType>
void | scatter (MessageBufferImp &buff, const EntityType &e, std::size_t)

## Detailed Description

template<class FieldType, class Container, class EntityMapper, unsigned commCodim>
class Opm::GridCommHandleMin< FieldType, Container, EntityMapper, commCodim >

Provides data handle for parallel communication which takes the minimum of all values that are attached to DOFs.

The documentation for this class was generated from the following file:

- opm/models/parallel/gridcommhandles.hh